Bug 439163 - (perl-HTML-Prototype) Review Request: perl-HTML-Prototype - Generate HTML and Javascript for the Prototype library
Review Request: perl-HTML-Prototype - Generate HTML and Javascript for the Pr...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 08:48 EDT by Simon Wilkinson
Modified: 2008-10-06 00:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 00:59:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon Wilkinson 2008-03-27 08:48:36 EDT
Spec URL: http://homepages.inf.ed.ac.uk/sxw/perl-HTML-Prototype.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/perl-HTML-Prototype-1.48-1.fc9.src.rpm

Description:

The module contains some code generators for Prototype, the famous
JavaScript OO library and the script.aculous extensions.
Comment 1 Parag AN(पराग) 2008-03-28 00:31:19 EDT
rpmlint is silent
perl-HTML-Prototype.noarch: W: wrong-file-end-of-line-encoding
/usr/share/doc/perl-HTML-Prototype-1.48/README
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

perl-HTML-Prototype.noarch: W: file-not-utf8
/usr/share/doc/perl-HTML-Prototype-1.48/README
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).

2) License tag MUST be "GPL+ or Artistic"

Comment 2 Parag AN(पराग) 2008-03-28 00:32:26 EDT
(In reply to comment #1)
> rpmlint is silent
oops I mean to say rpmlint output is NOT silent :)
Comment 3 Parag AN(पराग) 2008-04-04 00:01:31 EDT
ping?
Comment 4 Simon Wilkinson 2008-04-14 11:41:18 EDT
Sorry about the delay on this. Work's been getting in the way a bit much recently ... :)

Anyway, here's an updated SPEC and SRPM which addresses these issues.

Spec URL: http://homepages.inf.ed.ac.uk/sxw/perl-HTML-Prototype.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/perl-HTML-Prototype-1.48-2.fc9.src.rpm

Comment 5 Parag AN(पराग) 2008-05-05 00:05:17 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=595441
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
33ff3781ce851506e4728f5f2b2a40de  HTML-Prototype-1.48.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
t/01use............ 
ok
t/02pod............
ok
t/03podcoverage....
ok
All tests successful.
Files=3, Tests=17,  0 wallclock secs ( 0.62 cusr +  0.02 csys =  0.64 CPU)

+ Package perl-HTML-Prototype-1.48-2.fc9 =>
  Provides: perl(HTML::Prototype) = 1.48 perl(HTML::Prototype::Controls)
perl(HTML::Prototype::DragDrop)
 perl(HTML::Prototype::Effects) perl(HTML::Prototype::Helper)
perl(HTML::Prototype::Helper::Tag) perl(HTML::Prototype::Js)
  Requires: perl(:MODULE_COMPAT_5.10.0) perl(Class::Accessor::Fast)
perl(HTML::Element) perl(HTML::Prototype::Controls)
perl(HTML::Prototype::DragDrop) perl(HTML::Prototype::Effects)
perl(HTML::Prototype::Helper) perl(HTML::Prototype::Helper::Tag)
perl(HTML::Prototype::Js) perl(HTML::Tree) perl(base) perl(strict) perl(vars)


APPROVED.
Comment 6 Simon Wilkinson 2008-07-03 17:37:34 EDT
New Package CVS Request
=======================
Package Name: perl-HTML-Prototype
Short Description: Generate HTML and Javascript for the Prototype library
Owners: sxw
Branches: F-9 F-8 EL-4 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-07-04 15:41:59 EDT
cvs done.
Comment 8 Parag AN(पराग) 2008-08-13 00:52:03 EDT
ping. can you build package?
Comment 9 Parag AN(पराग) 2008-10-06 00:59:29 EDT
Closing as NOTABUG now.

Note You need to log in before you can comment on or make changes to this bug.